<!DOCTYPE html>
<html>
	<head>
		<title>Global Search Tool Avaamo</title>
		<link
			rel="icon"
			href="https://avaamo-demo-asset.s3.ap-south-1.amazonaws.com/public/images/header2.png"
			type="image/png"
		/>
		<link rel="stylesheet" href="https://avaamo-demo-asset.s3.ap-south-1.amazonaws.com/public/stylesheets/style.css" />
		<!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css" /> -->
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
		<!-- <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script> -->
	</head>

	<script>
		var eventMethod = window.addEventListener ? "addEventListener" : "attachEvent";
		var eventer = window[eventMethod];
		var messageEvent = eventMethod === "attachEvent" ? "onmessage" : "message";

		eventer(messageEvent, function (e) {
			try {
				console.log("Ifram Data>>", e.data, typeof e.data);
				if (e.data.query && e.data.keywords && e.data.keywords.keywords.length > 0) {
					console.log("parse json>>...");

					let text = e.data.query;
					let arr = e.data.keywords.keywords;

					console.log("data:", text, arr);
					text = highlightKeys(text, arr);
					let entites = e.data.keywords.phrases.map((i) => i.text);
					console.log("entites:", entites);

					entites = entites.length > 0 ? entites.join(",") : "No Entites Extracted";

					entites = highlightKeys(entites);

					let temp = $(`<tr class="query"><td>${text}</td></tr>
					<tr class="query_en">
						<td>${entites}</td>
					</tr>
					<tr><td><hr></td></tr>`).hide();

					$(".outer-table").prepend($(temp));

					$(temp).fadeIn("slow");

					// setFocusOnDivWith(".analytics");

					// alert('You pressed a "enter" key in somewhere');
				} else if (e.data.query && (!e.data.keywords || e.data.keywords.keywords === 0)) {
					let text = e.data.query;

					console.log("data:", text);

					let entites = "No Entites Extracted";

					entites = highlightKeys(entites);

					let temp = $(`<tr class="query"><td>${text}</td></tr>
					<tr class="query_en">
						<td>${entites}</td>
					</tr>
					<tr><td><hr></td></tr>`).hide();

					$(".outer-table").prepend($(temp));

					$(temp).fadeIn("slow");
				}
			} catch (error) {
				console.log("error", error);
			}
		});

		function getRandomColor(type = "light") {
			let lightColors = [
				"lightskyblue",
				"lightgreen",
				"lightpink",
				"lightcoral",
				"lightsalmon",
				"slateblue",
				"orange",
				"lightseagreen",
				"lightblue",
				"lightcyan",
				"lightsteelblue",
				"lightyellow",
				"lightslategray",
				"lightgoldenrodyellow"
			];

			let darkColors = [
				"blue",
				"green",
				"pink",
				"coral",
				"salmon",
				"slateblue",
				"orange",
				"seagreen",
				"blue",
				"steelblue",
				"black"
			];
			if (type === "light") return lightColors[Math.floor(Math.random() * lightColors.length)];
			return darkColors[Math.floor(Math.random() * darkColors.length)];
		}

		function highlightKeys(text, arr = []) {
			console.log("inside highlight", text, arr);
			if (arr.length === 0) {
				let t = [];
				arr = text.split(",");
				for (let i = 0; i < arr.length; i++) {
					t.push(
						`<mark style='background-color:transparent !important; color: ${getRandomColor("dark")} !important'>${
							arr[i]
						}</mark>`
					);
				}

				text = t.join(", ");
			} else {
				for (let i = 0; i < arr.length; i++) {
					let regex = new RegExp(arr[i], "ig");
					// console.log(regex, arr[i]);
					text = text.replace(regex, `<mark style='background-color: ${getRandomColor()}'>${arr[i]}</mark>`);
				}
			}
			// console.log(text);
			return text.toLowerCase();
		}

		function uncheckAll() {
			console.log("uncheckAll...");
			// $('input[type="checkbox"]:checked').prop("checked", false);

			var chkId = {
				types: []
			};

			// console.log(ckbox, typeof ckbox);

			// console.log(chkId);

			window.Avaamo.sendMessage("#clear");
		}

		$(document).ready(function () {
			$("form").on("submit", function (e) {
				//ajax call here

				//stop form submission
				e.preventDefault();
				console.log("form submission", $(".messageCheckbox:checked").val());

				var ckbox = $("input[name='facet_type']");
				var chkId = {
					types: []
				};

				console.log(ckbox, typeof ckbox);

				ckbox.map((i) => {
					console.log(ckbox[i].defaultValue, ckbox[i].checked);

					if (ckbox[i].checked) {
						chkId.types.push(ckbox[i].defaultValue);
					}
				});

				console.log(chkId);

				window.Avaamo.sendMessage(" ", JSON.stringify(chkId));
			});
		});
	</script>

	<body>
		<!-- Header -->

		<div class="nav-area">
			<div class="header">
				<div class="header-logo">
					<img src="https://avaamo-demo-asset.s3.ap-south-1.amazonaws.com/public/images/oie_png.png" alt="" />
					<img src="https://avaamo-demo-asset.s3.ap-south-1.amazonaws.com/public/images/Ericsson-logo.jpeg" alt="" />
				</div>

				<div class="header-info">
					<div class="header-title"><%= header %></div>
					<div class="header-sub-title"><%= sub_title %></div>
				</div>

				<div class="filters" style="display: none">
					<form action="">
						<input class="messageCheckbox" type="checkbox" id="article" name="facet_type" value="Article" />
						<label for="article"> Article</label>
						<input class="messageCheckbox" type="checkbox" id="events" name="facet_type" value="Events" />
						<label for="events"> Events</label>
						<input class="messageCheckbox" type="checkbox" id="news" name="facet_type" value="News" />
						<label for="news"> News</label>
						<input class="messageCheckbox" type="checkbox" id="product" name="facet_type" value="Product" />
						<label for="product"> Product</label>
						<input type="submit" value="Apply Filter" />
					</form>
					<div class="clear-all">
						<button onclick="uncheckAll()">Clear All</button>
					</div>
				</div>
			</div>
		</div>
		<!-- End Header -->

		<!-- Body -->

		<div class="main">
			<div class="main-desc"><%= description %></div>

			<div class="main-content">
				<div class="analytics">
					<table class="outer-table"></table>
				</div>

				<div class="slide">
					<img src="https://avaamo-demo-asset.s3.ap-south-1.amazonaws.com/public/images/archGST.jpg" alt />
				</div>
			</div>
		</div>

		<!-- End Body -->
		<%-src %>
	</body>
</html>
